<!DOCTYPE html>
<html lang="en">

  <head>
    <meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

<meta property="og:title" content="Should you ever boil chicken?" />
<meta property="og:description" content="When I first heard of the idea of boiling chicken, I was pretty aghast. I mean, grilled chicken, abso-bloody-lutely, pan fry, sure - gorgeous chicken here we come. Steamed chicken breast isn&rsquo;t very interesting, but it&rsquo;s very nutritious. But boiling chicken? I envisoned something dull, tough, flavourless, and with all the nutrients swimming around in the pan.
But actually, there are a few reasons why you might want to boil chicken, or at least do something approximating to boiling it." />
<meta property="og:type" content="article" />
<meta property="og:url" content="http://www.kamikazecookery.com/blogs/182" />


<meta property="og:updated_time" content="2010-09-24T18:07:40&#43;00:00"/>











<meta itemprop="name" content="Should you ever boil chicken?">
<meta itemprop="description" content="When I first heard of the idea of boiling chicken, I was pretty aghast. I mean, grilled chicken, abso-bloody-lutely, pan fry, sure - gorgeous chicken here we come. Steamed chicken breast isn&rsquo;t very interesting, but it&rsquo;s very nutritious. But boiling chicken? I envisoned something dull, tough, flavourless, and with all the nutrients swimming around in the pan.
But actually, there are a few reasons why you might want to boil chicken, or at least do something approximating to boiling it.">


<meta itemprop="dateModified" content="2010-09-24T18:07:40&#43;00:00" />
<meta itemprop="wordCount" content="642">



<meta itemprop="keywords" content="" />



  <meta name="twitter:card" content="summary"/>



<meta name="twitter:title" content="Should you ever boil chicken?"/>
<meta name="twitter:description" content="When I first heard of the idea of boiling chicken, I was pretty aghast. I mean, grilled chicken, abso-bloody-lutely, pan fry, sure - gorgeous chicken here we come. Steamed chicken breast isn&rsquo;t very interesting, but it&rsquo;s very nutritious. But boiling chicken? I envisoned something dull, tough, flavourless, and with all the nutrients swimming around in the pan.
But actually, there are a few reasons why you might want to boil chicken, or at least do something approximating to boiling it."/>










<meta name="generator" content="Hugo 0.18.1" />


    <link rel="canonical" href="182.html">

    <title>Should you ever boil chicken? | Kamikaze Cookery | Geeks cook – with SCIENCE.</title>

    <!-- combined, minified CSS -->
    <link href="../css/style.css" rel="stylesheet"   crossorigin="anonymous">

    

    

    

    
<style>
    .blog-masthead{
        background-color: #f66708; 
        margin-bottom: 0px; 
    }
    h2{
        text-align: center; 
        margin: 40px; 
    }
    .container img {
        display: block; 
        margin: 0 auto; 
    }
    h1{ 
        margin: 50px; 
        text-align: center; 
    }
</style>
  </head>

  <body>

<div id="disclaimer" style="display: block; visibility: visible; top: 0; width: 100%;        font-size: 25px; color: #eee; background-color: #333; border: 2px solid #888; margin-bottom: 30px; padding-left: 10%; padding-right: 10%;"> <a href="https://en.wikipedia.org/wiki/Strange_Company" style="color: #55c;">Strange Company</a>`s Director, <a href="https://www.heraldscotland.com/opinion/16060383.obituary-hugh-russell-paul-hancock-machinima-founder-virtual-reality-pioneer/" style="color: #55c;">Hugh Hancock</a>, died in 2018. <strong>Strange Company</strong> is no longer a registered Company. This site is part of his body of work, and as such it is hosted and maintained by a group of volunteers and as an archive of his work. A comprehensive list of the works being archived can be found <a href="https://strangecompany.org/archive/">here</a>. If you have any problems with the site,     please <a href="https://forms.gle/boqVcQxNyVvYFFEW7" style="color: #55c;">report them using this form</a>. </div>
    <a  href="../index.html"><div class="container" style="background-image: url(../images/cropped-Logo-final1.jpg); padding: 0px; background-size:cover; min-height: 360px"></div> </a> 
    <div class="blog-masthead">
      <div class="container">
      
        <nav class="nav blog-nav">
                   
          <a class="nav-link" href="../index.html">Episodes</a>
          <a class="nav-link" href="../about-kamikaze-cookery/index.html">About</a>
          <a class="nav-link" href="../blog/index.html">Blog</a>
          

        </nav>
      </div>
    </div>

    <div class="container">
      <div class="row">
        <div class="col-sm-12 blog-main">

          


<article class="blog-post">
  <header>
    <h2 class="blog-post-title"><a href="182.html">Should you ever boil chicken?</a></h2>
    <p class="blog-post-meta"><time datetime="2010-09-24T18:07:40Z">Fri Sep 24, 2010</time> by kamikazecook</p>
  </header>
  <p>When I first heard of the idea of boiling chicken, I was pretty aghast. I mean, <a href="161.html">grilled chicken, abso-bloody-lutely</a>, pan fry, sure - gorgeous chicken here we come. Steamed chicken breast isn&rsquo;t very interesting, but it&rsquo;s very nutritious. But boiling chicken? I envisoned something dull, tough, flavourless, and with all the nutrients swimming around in the pan.</p>

<p>But actually, there are a few reasons why you might want to boil chicken, or at least do something approximating to boiling it.</p>

<p>h2. If you need to do something with cheap chicken legs</p>

<p>Chicken is one of my favourite foods on earth, but more than any other meat, it really depends on how well the animal was grown. Linda Dick grass-fed free-range birds have a beautiful flavour with nothing done to them. But cheap-ass bottom-of-the-supermarket battery-farmed chicken? Ugh. It&rsquo;s a bit like eating slightly off tofu.</p>

<p>Still, I&rsquo;ve been poor a fair few times, and during one of them I figured that boiling chicken thighs - well, not boiling them exactly, more poaching them - was about the only way to make them palatable.</p>

<p>Make up a fairly flavourful stock - you can do this pretty cheaply with a couple of cut onions, carrots, and a fairly serious amount of vegetable stock cubes and some wine vinegar or ideally wine (you can use off wine from a couple of days ago). Immerse your cheap thighs in it, and heat the entire thing until it&rsquo;s just bubbling. Now leave it to go for a few hours.</p>

<p>When you&rsquo;re done, you&rsquo;ll have some chicken thighs with actual flavour soaked into them, no matter how rubbish the initial bird was.</p>

<p>h2. If you&rsquo;re wanting to make a stew or stock</p>

<p>Of course, people always say that you should make a chicken stock with a chicken carcass. That&rsquo;s great if you happen to have one lying around. But if not, I&rsquo;ve found that frozen chicken pieces make a fairly acceptable substitute fresh stock.</p>

<p>Fill a great big stock pot with water. Add carrots, celery and onion. Dump half a dozen frozen chicken pieces in there - yeah, I know people say you should defrost them, but frankly if you&rsquo;re going to boil the darn thing for a couple of hours there&rsquo;s no bacteria on earth that can survive that (even <a href="https://en.wikipedia.org/wiki/Bacillus_cereus">Bacillus Cereus</a>, infamous for surviving high temperatures, won&rsquo;t survive more than 20 minutes of boiling). Bring to the boil, then lower to a simmer, and leave to stew for one and a half to two hours. (Ignore people who tell you to cook stocks for eight hours - it IS possible to overcook a stock). Skim the scum that rises to the surface - using this method, you&rsquo;ll get a lot of it.</p>

<p>When you&rsquo;re done, you&rsquo;ll have some great stock, far better than anything you&rsquo;ll get from a store, and you&rsquo;ll have loads of extremely well-cooked chicken, which won&rsquo;t be too flavourful, but will taste OK if it&rsquo;s shredded and fried (see below).</p>

<p>h2. If you want a low-hassle way to get some shredded chicken</p>

<p>Like I say above, there&rsquo;s no reason you can&rsquo;t take frozen chicken straight to boiled chicken that I know of. If you&rsquo;re wanting some shredded chicken for a stir fry or similar, and you&rsquo;ve got some chicken in the freezer, just take it out and boil it for a while (at a gentle boil, not a rolling boil), where a while&rsquo;s about 45 minutes or more - check it to make sure it&rsquo;s done before you serve, obviously.  It&rsquo;ll be a bit dry and it&rsquo;s not the best way to cook chicken, but unless you&rsquo;ve <a href="133.html">got a sous-vide water bath</a>, it&rsquo;s probably the most convenient.</p>

<p>Once they&rsquo;re cooked, just take your bits of chicken out - they should shred really easily, and they&rsquo;ll be perfectly acceptable deep-fried or used in fried rice.</p>


  

  
  <hr>
  <footer>

  
    <section>
    <h4>Share</h4>
    <nav class="nav sharing-icons">
      <a class="nav-item" href="https://www.facebook.com/sharer/sharer.php?u=http%3a%2f%2fwww.kamikazecookery.com%2fblogs%2f182" title="Share on Facebook"><span class="fa fa-facebook fa-2x" aria-hidden="true"></span></a>
      <a class="nav-item" href="https://plus.google.com/share?url=http%3a%2f%2fwww.kamikazecookery.com%2fblogs%2f182" title="Share on Google+"><span class="fa fa-google-plus fa-2x" aria-hidden="true"></span></a>
      <a class="nav-item" href="https://www.linkedin.com/shareArticle?mini=true&amp;url=http%3a%2f%2fwww.kamikazecookery.com%2fblogs%2f182" title="Share on LinkedIn"><span class="fa fa-linkedin fa-2x" aria-hidden="true"></span></a>
      <a class="nav-item" href="https://twitter.com/home?status=http%3a%2f%2fwww.kamikazecookery.com%2fblogs%2f182" title="Tweet this"><span class="fa fa-twitter fa-2x"></span></a>
    </nav>
  </section>

  

  
  </footer>
  

</article> 



        </div> <!-- /.blog-main -->


      </div> <!-- /.row -->
    </div> <!-- /.container -->

    <footer class="blog-footer">
      <p>
      
      Blog template created by <a href="https://twitter.com/mdo">@mdo</a>, ported to Hugo by <a href='https://twitter.com/mralanorth'>@mralanorth</a>.
      
      </p>
      <p>
      <a href="182.html#">Back to top</a>
      </p>
    </footer>
<script>
  (function(i,s,o,g,r,a,m){i['GoogleAnalyticsObject']=r;i[r]=i[r]||function(){
  (i[r].q=i[r].q||[]).push(arguments)},i[r].l=1*new Date();a=s.createElement(o),
  m=s.getElementsByTagName(o)[0];a.async=1;a.src=g;m.parentNode.insertBefore(a,m)
  })(window,document,'script','https://www.google-analytics.com/analytics.js','ga');

  ga('create', 'UA-696676-8', 'auto');
  ga('send', 'pageview');

</script>
  </body>

</html>
